DOWNLOADDIR="/home/${USER}/gisdata/"
UNZIPTOOL=unzip
WGETTOOL="/usr/bin/wget"
export PGBIN=/usr/pgsql-9.3/bin
PSQL="${PGBIN}/psql --dbname=geocoder --username=postgres"
SHP2PGSQL=${PGBIN}/shp2pgsql

cd ${DOWNLOADDIR}
wget ftp://ftp2.census.gov/geo/tiger/TIGER2013/TRACT/*_25* --no-parent --relative --recursive --level=2 --accept=zip --mirror --reject=html
cd ${DOWNLOADDIR}/ftp2.census.gov/geo/tiger/TIGER2013/TRACT
rm -f ${DOWNLOADDIR}/tmp/*.*
${PSQL} -c "DROP SCHEMA IF EXISTS tiger_staging CASCADE;"
${PSQL} -c "CREATE SCHEMA tiger_staging;"
for z in tl_*_25*_tract.zip ; do $UNZIPTOOL -o -d $DOWNLOADDIR/tmp $z; done
cd $DOWNLOADDIR/tmp;

${PSQL} -c "CREATE TABLE tiger_data.MA_tract(CONSTRAINT pk_MA_tract PRIMARY KEY (tract_id) ) INHERITS(tiger.tract); "
${SHP2PGSQL} -c -s 4269 -g the_geom   -W "latin1" tl_2013_25_tract.dbf tiger_staging.ma_tract | ${PSQL}
${PSQL} -c "ALTER TABLE tiger_staging.MA_tract RENAME geoid TO tract_id;  SELECT loader_load_staged_data(lower('MA_tract'), lower('MA_tract')); "
${PSQL} -c "CREATE INDEX tiger_data_MA_tract_the_geom_gist ON tiger_data.MA_tract USING gist(the_geom);"
${PSQL} -c "VACUUM ANALYZE tiger_data.MA_tract;"
${PSQL} -c "ALTER TABLE tiger_data.MA_tract ADD CONSTRAINT chk_statefp CHECK (statefp = '25');"
cd ${DOWNLOADDIR}
wget ftp://ftp2.census.gov/geo/tiger/TIGER2013/TABBLOCK/*_25* --no-parent --relative --recursive --level=2 --accept=zip --mirror --reject=html
cd ${DOWNLOADDIR}/ftp2.census.gov/geo/tiger/TIGER2013/TABBLOCK
rm -f ${DOWNLOADDIR}/tmp/*.*
${PSQL} -c "DROP SCHEMA IF EXISTS tiger_staging CASCADE;"
${PSQL} -c "CREATE SCHEMA tiger_staging;"
for z in tl_*_25*_tabblock.zip ; do $UNZIPTOOL -o -d $DOWNLOADDIR/tmp $z; done
cd $DOWNLOADDIR/tmp;

${PSQL} -c "CREATE TABLE tiger_data.MA_tabblock(CONSTRAINT pk_MA_tabblock PRIMARY KEY (tabblock_id)) INHERITS(tiger.tabblock);"
${SHP2PGSQL} -c -s 4269 -g the_geom   -W "latin1" tl_2013_25_tabblock.dbf tiger_staging.ma_tabblock | ${PSQL}
${PSQL} -c "ALTER TABLE tiger_staging.MA_tabblock RENAME geoid TO tabblock_id;  SELECT loader_load_staged_data(lower('MA_tabblock'), lower('MA_tabblock'), '{gid, statefp10, countyfp10, tractce10, blockce10,suffix1ce,blockce,tractce}'::text[]); "
${PSQL} -c "ALTER TABLE tiger_data.MA_tabblock ADD CONSTRAINT chk_statefp CHECK (statefp = '25');"
${PSQL} -c "CREATE INDEX tiger_data_MA_tabblock_the_geom_gist ON tiger_data.MA_tabblock USING gist(the_geom);"
${PSQL} -c "vacuum analyze tiger_data.MA_tabblock;"
cd ${DOWNLOADDIR}
wget ftp://ftp2.census.gov/geo/tiger/TIGER2013/BG/*_25* --no-parent --relative --recursive --level=2 --accept=zip --mirror --reject=html
cd ${DOWNLOADDIR}/ftp2.census.gov/geo/tiger/TIGER2013/BG
rm -f ${DOWNLOADDIR}/tmp/*.*
${PSQL} -c "DROP SCHEMA IF EXISTS tiger_staging CASCADE;"
${PSQL} -c "CREATE SCHEMA tiger_staging;"
for z in tl_*_25*_bg.zip ; do $UNZIPTOOL -o -d $DOWNLOADDIR/tmp $z; done
cd $DOWNLOADDIR/tmp;

${PSQL} -c "CREATE TABLE tiger_data.MA_bg(CONSTRAINT pk_MA_bg PRIMARY KEY (bg_id)) INHERITS(tiger.bg);"
${SHP2PGSQL} -c -s 4269 -g the_geom   -W "latin1" tl_2013_25_bg.dbf tiger_staging.ma_bg | ${PSQL}
${PSQL} -c "ALTER TABLE tiger_staging.MA_bg RENAME geoid TO bg_id;  SELECT loader_load_staged_data(lower('MA_bg'), lower('MA_bg')); "
${PSQL} -c "ALTER TABLE tiger_data.MA_bg ADD CONSTRAINT chk_statefp CHECK (statefp = '25');"
${PSQL} -c "CREATE INDEX tiger_data_MA_bg_the_geom_gist ON tiger_data.MA_bg USING gist(the_geom);"
${PSQL} -c "vacuum analyze tiger_data.MA_bg;"
